import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import ProductName
from gso.products.product_types.switch import Switch
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_switch_success(switch_subscription_factory):
    imported_switch = switch_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_switch", [{"subscription_id": imported_switch}])
    subscription = Switch.from_subscription(imported_switch)

    assert_complete(result)
    assert subscription.product.name == ProductName.SWITCH
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync is True
